INTERFACE
SUBROUTINE ELARMES5(KST,KPROF,KSTABUF,LDSETTLS,PINDX,PINDY,PGMDTX,PGMDTY,&
 & PB15,PB2,&
 & PLSDEPI,PCOLON,PSILON,PGEMU,PGSQM2,PGECLO,PGESLO,&
 & PLON5,PLAT5,PCOSCO5,PSINCO5,PSINLA5,PCOPHI5,PLEV5,PR5,PS5,PUF5,PVF5,&
 & KL0,KLH0,PDLO5,PDLAT5,KLEV,PDVER5,POUT5) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NFLSA ,NFLEN ,NDGSAH ,&
 & NDGENH ,NDLUNG ,NDLUXG ,NDGUNG ,NDGUXG ,NRLEVX 
USE YOMDYN , ONLY : NITMP ,LELTRA ,VETAON ,VETAOX
USE YOMMP , ONLY : NASLB1
USE YOMSC2 , ONLY : NFLDSLB15,NFLDSLB2
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KSTABUF(NDGSAH:NDGENH)
LOGICAL ,INTENT(IN) :: LDSETTLS
REAL(KIND=JPRB) ,INTENT(IN) :: PINDX(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PINDY(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMDTX(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMDTY(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PB15(NASLB1,NFLDSLB15)
REAL(KIND=JPRB) ,INTENT(IN) :: PB2(NPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSDEPI(NDGSAH:NDGENH)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLON5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLAT5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOSCO5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSINCO5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSINLA5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOPHI5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLEV5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PR5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PS5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUF5(NPROMA,NFLEVG,NITMP-1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVF5(NPROMA,NFLEVG,NITMP-1)
INTEGER(KIND=JPIM),INTENT(OUT) :: KL0(NPROMA,NFLEVG,0:3,NITMP)
INTEGER(KIND=JPIM),INTENT(OUT) :: KLH0(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLO5(NPROMA,NFLEVG,0:3,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLAT5(NPROMA,NFLEVG,NITMP)
INTEGER(KIND=JPIM),INTENT(OUT) :: KLEV(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDVER5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: POUT5(NPROMA,NFLEVG,NITMP)
END SUBROUTINE ELARMES5
END INTERFACE
